name: data_query
version: 1.0.0
description: 从企业内部API查询数据

capabilities:
  - name: query_employee_info
    description: 查询员工信息
    parameters:
      - name: employee_id
        type: string
        required: false
      - name: department
        type: string
        required: false

triggers:
  - pattern: "查询.*员工"
    capability: query_employee_info
    priority: 100
    match_config:
      case_sensitive: false
      word_boundary: false
      language: "zh"

output_schema:
  type: object
  properties:
    data:
      type: any
    confidence:
      type: number
      minimum: 0
      maximum: 1
    source_apis:
      type: array
